# Icinga/Nagios plugin to check status of a Livestatus socket

This script could be used as Icinga/Nagios check plugin to check Livestatus socket status.

## Installation

```
git clone https://gogs.zionetrix.net/bn8/check_livestatus.git /usr/local/src/check_livestatus
mkdir -p /usr/local/lib/nagios/plugins
ln -s /usr/local/src/check_livestatus/check_livestatus /usr/local/lib/nagios/plugins/
```

## Usage

```
usage: check_livestatus [-h] [-d] [-v] [-l LOGFILE] [-C] [-U UNIX_SOCKET_PATH]
                        [-H HOST] [-p PORT] [-t TIMEOUT]

Icinga/Nagios plugin to check status of a Livestatus socket

optional arguments:
  -h, --help            show this help message and exit
  -d, --debug           Show debug messages
  -v, --verbose         Show verbose messages
  -l LOGFILE, --log-file LOGFILE
                        Log file path
  -C, --console         Also log on console (even if log file is provided)
  -U UNIX_SOCKET_PATH, --unix-socket-path UNIX_SOCKET_PATH
                        Livestatus UNIX socket path
  -H HOST, --host HOST  Livestatus host (default: 127.0.0.1)
  -p PORT, --port PORT  Livestatus port (default: 6557)
  -t TIMEOUT, --timeout TIMEOUT
                        Livestatus timeout in second (default: 2)
```

## Copyright

Copyright (c) 2022 Benjamin Renard

## License

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

